Package Details: plasma-desktop-git r3581.6455c02-2

Git Clone URL: https://aur.archlinux.org/plasma-desktop-git.git (read-only)
Package Base: plasma-desktop-git
Description: KDE Plasma Desktop
Upstream URL: https://projects.kde.org/projects/kde/kde-workspace
Licenses: LGPL
Groups: plasma
Conflicts: kcm-touchpad-frameworks, kdebase-kdepasswd, kdebase-workspace, plasma-desktop
Provides: plasma-desktop
Replaces: kcm-touchpad-git
Submitter: arojas
Maintainer: None
Last Packager: Alad
Votes: 5
Popularity: 0.000004
First Submitted: 2014-03-31 06:31
Last Updated: 2016-06-24 01:59

Required by (27)

Sources (1)

Latest Comments

Alad commented on 2016-03-21 18:29

I'm not going to rebuild the package on every commit just to account for unsupported AUR helpers.

warlock9000 commented on 2016-03-21 18:28

package not automatical updates

warlock9000 commented on 2016-03-21 18:26

aur/plasma-desktop-git r3364.01fce13-1 [installed: r3564.3df8919-1]

Alad commented on 2016-03-21 18:13

pkgver is already updated when you build the package.

warlock9000 commented on 2016-03-21 18:10

pls update to current version

Alad commented on 2016-03-09 02:20

Done, thanks

arojas commented on 2016-03-08 20:01

New dependency: kactivities-stats-git

Alad commented on 2016-02-25 02:11

Can't reproduce. Then again I don't use crap like yaourt.

jm86ar commented on 2015-11-21 17:04

Yes, i'm sure man.

aur/kscreenlocker-git r328.c4054d7-1 [installed: r355.3f24687-1] (0)
Library and components for secure lock screen architecture

yaourt -Qi kscreenlocker-git
Nombre : kscreenlocker-git
Versión : r355.3f24687-1
Descripción : Library and components for secure lock screen architecture
Arquitectura : x86_64
Desarrollador principal : https://projects.kde.org/kscreenlocker
Licencias : LGPL
Grupos : Nada
Provee : Nada
Depende de : kdelibs4support plasma-framework kidletime kwayland libxcursor
Depende opcionalmente en: Nada
Requerido por : kwin-git plasma-workspace-git
Opcional para : Nada
En conflicto con : Nada
Remplaza a : Nada
Tamaño de la instalación : 453,00 KiB
Encargado : Unknown Packager
Fecha de creación : jue 19 nov 2015 20:12:26 ART
Fecha de instalación : jue 19 nov 2015 20:14:56 ART
Motivo de la instalación: Instalado explícitamente
Intérprete de instalación: No
Validado por : Nada

bhushan commented on 2015-11-21 16:59

This is provided by kscreenlocker-git package, are you sure it is installed?

jm86ar commented on 2015-11-21 16:56

Build from git Log
http://pastebin.com/N1Hb6i9j

Cmake Output.log

http://pastebin.com/BdZ4fEue

Nothing found under /usr/lib/cmake/ScreenSaverDBusInterface/
How do i know which packet is it ?

bhushan commented on 2015-11-21 16:43

Also check if you have /usr/lib/cmake/ScreenSaverDBusInterface/ScreenSaverDBusInterfaceConfig.cmake installed.

bhushan commented on 2015-11-21 16:33

Please post complete log on pastebin

jm86ar commented on 2015-11-21 16:03

@brushan Done! Still the same error.

bhushan commented on 2015-11-21 03:13

@jm86ar you will have to install https://aur.archlinux.org/packages/kscreenlocker-git/

jm86ar commented on 2015-11-21 01:19

Guys, i need your help please. I cannot finish building this last package. Recompiled every dependencie with no luck. Always the same.

Thanx in advance.

"CMake Error at CMakeLists.txt:55 (find_package):
Could not find a package configuration file provided by
"ScreenSaverDBusInterface" with any of the following names:

ScreenSaverDBusInterfaceConfig.cmake
screensaverdbusinterface-config.cmake

Add the installation prefix of "ScreenSaverDBusInterface" to
CMAKE_PREFIX_PATH or set "ScreenSaverDBusInterface_DIR" to a directory
containing one of the above files. If "ScreenSaverDBusInterface" provides"



a separate development package or SDK, be sure it has been installed.


desaparecido commented on 2015-08-25 13:31

here the bugreport:
https://bugs.kde.org/show_bug.cgi?id=351753

and here the output of commit 383aa77

http://pastebin.com/A9Rnpp2d

bhushan commented on 2015-08-25 13:19

@desaparecido : Can you give me output of pacman -Ql kdeclarative-git ?

bhushan commented on 2015-08-25 13:01

Thats upstream problem. Please report it on bugs.kde.org frameworks-kdeclarative

desaparecido commented on 2015-08-25 12:57

hi, with the latests changes in kdeclarative in commit 383aa77:

https://quickgit.kde.org/?p=kdeclarative.git&a=commitdiff&h=383aa77ebf0b08adca13ce67a90f61c9c6a65851

when I start plasma session, my desktop and panel widgets are not there, at their place I have this messages:

Error loading QML file: file:///usr/share/plasma/plasmoids/org.kde.desktopcontainment/contents/ui/main.qml:27:1: module "org.kde.draganddrop" plugin "draganddropplugin" not found

and this one in panel:

Error loading QML file: file:///usr/share/plasma/plasmoids/org.kde.panel/contents/ui/main.qml:25:1: module "org.kde.kquickcontrolsaddons" plugin "kquickcontrolsaddonsplugin" not found

downgrading kdeclarative-git to precedent commit all works fine again....

so my question, is about a some necessary change in PKGBUILD or is upstream related (to report it) ? thanks ..

arojas commented on 2015-03-24 19:29

@jcelerier e-c-m-git provides e-c-m, so there's no issue.

jcelerier commented on 2015-03-24 19:27

Sounds like there is a small dependency problem :
- this depends on extra-cmake-modules and kinfocenter-git
- kinfocenter-git depends on kcmutils-git which depends on extra-cmake-modules-git
- extra-cmake-modules-git is of course incompatible with extra-cmake-modules.

Maybe changing the dependency to extra-cmake-modules-git would be enough ?

tajidinabd commented on 2015-02-11 18:04

plasma-desktop-git E: Dependency packagekit-qt5 detected and not included (libraries ['usr/lib/libpackagekitqt5.so.0'] needed in files ['usr/lib/qt/qml/org/kde/plasma/private/kicker/libkickerplugin.so'])

arojas commented on 2014-12-24 15:46

@anex remove packagekit-qt5 or build in a clean chroot

anex commented on 2014-12-24 13:19

-- Configuring done
CMake Error in applets/kicker/CMakeLists.txt:
Imported target "PK::packagekitqt5" includes non-existent path

"/include/packagekitqt5/PackageKit/"

in its INTERFACE_INCLUDE_DIRECTORIES. Possible reasons include:

* The path was deleted, renamed, or moved to another location.

* An install or uninstall procedure did not complete successfully.

* The installation package was faulty and references files it does not
provide.



-- Generating done
-- Build files have been written to: /home/anex/yaourt/yaourt-tmp-anex/aur-plasma-desktop-git/src/build
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build plasma-desktop-git.

MaNNa commented on 2014-12-08 12:18

Was having the same build problems as @Localizator.

Needs: 'packagekit-qt5' to build.

________________________________________________________________________________________________________________________________________
In God's love,
†MaNNa <{{{>< ...to You all thanks and glory Lord Yeshua!

And Jesus prayed to The Father, "And this is the way to eternal life - to know You, the Only True God, and Jesus Christ the One You sent to earth.

MaNNa commented on 2014-12-08 09:20

Was having the same build problems as @Localizator.

Needs: 'packagekit-qt5' to build.

arojas commented on 2014-12-07 21:21

@sl1pkn07 It just needs a "kdepasswd" binary, it doesn't matter which one. But since it conflicts with kdebase-kdepasswd, I guess it doesn't make sense to have it in optdepends

sl1pkn07 commented on 2014-12-07 20:45

Hi

not is kdepasswd-frameworks-git instead of kdebase-kdepasswd?

greetings

sl1pkn07 commented on 2014-12-07 02:32

plasma-desktop-git E: Mime type handler found. Add "update-desktop-database -q" to the install file
plasma-desktop-git E: Files in /usr/share/icons/hicolor but no call to gtk-update-icon-cache or xdg-icon-resource to update the icon cache
plasma-desktop-git W: Dependency libxkbfile included but already satisfied
plasma-desktop-git W: Dependency libusb-compat included but already satisfied
plasma-desktop-git W: Dependency libcanberra included but already satisfied
plasma-desktop-git W: Dependency included and not needed ('systemsettings-git')
plasma-desktop-git W: Dependency included and not needed ('ksysguard-git')
plasma-desktop-git W: Dependency included and not needed ('powerdevil-git')
plasma-desktop-git W: Dependency included and not needed ('kmenuedit-git')
plasma-desktop-git W: Dependency included and not needed ('kinfocenter-git')
plasma-desktop-git W: Dependency included and not needed ('polkit-kde-frameworks-git')

greetings

arojas commented on 2014-11-03 11:05

@Localizator should be fixed now. Make sure to check build.kde.org when KDE git packages buils fails to see if it's an upstream failure.

Localizator commented on 2014-11-02 22:50

Linking CXX shared library libkickerplugin.so
[ 24%] Built target kickerplugin
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build plasma-desktop-git.

arojas commented on 2014-10-08 06:37

@walkindude I removed the packagekit-qt dep for now, I didn't realize that packagekit 1 hasn't even moved to [testing] yet.

walkindude commented on 2014-10-07 23:12

it complains:
/aur-plasma-desktop-git/src/plasma-desktop/applets/kicker/plugin/findpackagenamejob.h:23:29: fatal error: PackageKit/Daemon: No such file or directory

even after rebuilt packagekit-qt, packagekit-git myself.. maybe I missing something here?

dejavu commented on 2014-10-06 21:34

Need to install following packages before, to get a successful build of plasma-desktop-git:
yaourt -S extra-cmake-modules-git karchive-git kdoctools-git frameworkintegration-git --asdeps

AnAkkk commented on 2014-09-16 16:42

Indeed, sorry, it's gone after ctrl-F5 :)

arojas commented on 2014-09-16 16:40

@AnAkkk which lines? maybe you're seeing an old cached version?

AnAkkk commented on 2014-09-16 16:31

I think you forgot to remove some lines below "move conflicting policy file to /opt".

AnAkkk commented on 2014-09-14 20:34

Did the PKGBUILD update break plasma? I am getting ton of QML errors on various components (notifications, clock, wallpaper).

ant32 commented on 2014-04-02 21:00

-- The following OPTIONAL packages have not been found:

* USB , User level access to USB devices , <http://libusb.sourceforge.net>
Provides Logitech mouse support in KControl.

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
X11_Xkbfile_LIB (ADVANCED)
linked by target "kcm_keyboard" in directory /build/plasma-desktop-git/src/plasma-desktop/kcms/keyboard
linked by target "kded_keyboard" in directory /build/plasma-desktop-git/src/plasma-desktop/kcms/keyboard
linked by target "keyboard_layout_widget" in directory /build/plasma-desktop-git/src/plasma-desktop/kcms/keyboard

arojas commented on 2014-03-31 07:52

my mistake, thanks

sl1pkn07 commented on 2014-03-31 07:43

is kactivities-frameworks-git istead of kactivities-git(?) (or is a new package)

greetings